## org.hibernate
Class CallbackException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.CallbackException

All Implemented Interfaces:
  Serializable

    public class CallbackException

extends HibernateException

Should be thrown by persistent objects from `Lifecycle` or `Interceptor` callbacks.

Author:
  Gavin King
See Also:
  `Lifecycle`, `Interceptor`, Serialized Form

Constructor Summary
`CallbackException(Exception root)`
`CallbackException(String message)`
`CallbackException(String message, Exception e)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CallbackException

    public CallbackException(Exception root)

### CallbackException

    public CallbackException(String message)

### CallbackException

    public CallbackException(String message,
                             Exception e)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.